<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Admin Actions Log Exclude Logging
 */

namespace Amasty\AdminActionsLogExcludeLogging\Model;

use Amasty\AdminActionsLog\Model\ConfigProvider as ActionsLogConfigProvider;

class ConfigProvider extends ActionsLogConfigProvider
{
    public const EXCLUDE_LOGGING = 'general/exclude_logging';

    public function getExcludedEntityList(): array
    {
        $excludedList = $this->getValue(self::EXCLUDE_LOGGING);
        if (empty($excludedList)) {
            return [];
        }

        return array_map('trim', explode(',', $excludedList));
    }
}
